%global _hardened_build 1

%global commit e34ceb333b1c0e6f4115ecbb80c632ac1042fa49
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:    libsecp256k1
Version: 0
Release: 0.20181126git%{shortcommit}%{?dist}
Summary: Optimized C library for EC operations on curve secp256k1

License: MIT
URL:     https://github.com/bitcoin-core/secp256k1
Source0: https://github.com/bitcoin-core/secp256k1/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires: gcc
BuildRequires: automake autoconf libtool

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n secp256k1-%{commit}


%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete -print

%check
./tests


%files
%license COPYING
%doc README.md
%{_libdir}/%{name}.so.0*

%files devel
%license COPYING
%doc README.md
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jan 11 2019 Jonny Heggheim <hegjon@gmail.com> - 0-0.20181126gite34ceb3
- Inital packaging
